curl -X PUT "https://api.nevatal.com/api/v1/patients/pat_abc123" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999"
}'
{
"id": "pat_abc123",
"firstName": "María",
"lastName": "García",
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999",
"documentType": "CC",
"documentNumber": "1234567890",
"updatedAt": "2025-03-16T14:00:00Z"
}
{
"success": false,
"error": "Ya existe un paciente con ese documento en esta clínica.",
"code": "CONFLICT_ERROR",
"correlationId": "req-4d5e6f",
"details": { "field": "documentNumber" }
}
Patients
Update Patient
Update an existing patient’s information
PUT
/
api
/
v1
/
patients
/
{id}
curl -X PUT "https://api.nevatal.com/api/v1/patients/pat_abc123" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999"
}'
{
"id": "pat_abc123",
"firstName": "María",
"lastName": "García",
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999",
"documentType": "CC",
"documentNumber": "1234567890",
"updatedAt": "2025-03-16T14:00:00Z"
}
{
"success": false,
"error": "Ya existe un paciente con ese documento en esta clínica.",
"code": "CONFLICT_ERROR",
"correlationId": "req-4d5e6f",
"details": { "field": "documentNumber" }
}
Path Parameters
string
required
The patient ID
Body Parameters
All fields are optional. Only include the fields you want to update.string
Patient’s first name
string
Patient’s last name
string
Email address
string
Phone number with country code
string
Date of birth (
YYYY-MM-DD)string
Gender:
male, female, otherobject
Patient address object
Duplicate patients
Changing the document to one that another patient in the clinic already holds answers409
CONFLICT_ERROR with details.field: "documentNumber" (the patient form-schema field name). The
colliding value is never echoed back.
curl -X PUT "https://api.nevatal.com/api/v1/patients/pat_abc123" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999"
}'
{
"id": "pat_abc123",
"firstName": "María",
"lastName": "García",
"email": "maria.garcia@newdomain.com",
"phone": "+573009999999",
"documentType": "CC",
"documentNumber": "1234567890",
"updatedAt": "2025-03-16T14:00:00Z"
}
{
"success": false,
"error": "Ya existe un paciente con ese documento en esta clínica.",
"code": "CONFLICT_ERROR",
"correlationId": "req-4d5e6f",
"details": { "field": "documentNumber" }
}

